Loading...
Searching...
No Matches
VecOps< T > Class Template Reference

VecOps. More...

`#include <vectors.h>`

## Static Public Member Functions

static const bool | contains (const std::vector< T > &list, const T &flag)
| Checks if a vector contains an element. More...

## Detailed Description

template<typename T>
class VecOps< T >

VecOps.

Utilities for the vectors

## Member Function Documentation

## contains()

template<typename T >

const bool VecOps< T >::contains | ( | const std::vector< T > & | list,
|  | const T & | flag
| ) |  |

static

Checks if a vector contains an element.

Parameters

  list | The target vector
  flag | The element to search for

Returns
  Whether the list does contain the flag or not

The documentation for this class was generated from the following files:

- logdoctor/utilities/vectors.h
- logdoctor/utilities/vectors.cpp